import java.util.*;
import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;
import javax.swing.*;

public class Leguerre
{
public static complex complex_polinom(double a[],complex x)
{int n=a.length-1;
 complex y = new complex(a[n],0.0);
 for(int i=n-1;i>=0;i--) {y=Complex.add(Complex.multiply(y,x),a[i]);}
 return y;
}
	
public static double Lequerre(double a[],complex x)
{
double eps=1.0e-10;
int m=2;
double h=0.01;
complex f0=complex_polinom(a,x);
complex f1=complex_polinom(a,x);
complex f2=complex_polinom(a,x);
complex xe1=complex((x-h),0);
complex xe2=complex((x-2.0*h),0);
complex xa1=complex((x+h),0);
complex xa2=complex((x+2.0*h),0);
do
{

}while((ea>es)&&(iter<maxit))
if(iter>=maxit) JOptionPane.showMessageDialog(null,"Uyarı maximum iterasyon sayısı aşıldı \n"+
   " çözüm geçerli olmıyabilir","MAKSİMUM ITERASYON SAYISI UYARISI",JOptionPane.WARNING_MESSAGE); 
return r;
}

     public static void main (String args[])  
     { 
     double a,b;
     fx f1=new fx();
     a=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun alt sınırını giriniz a : "));
     b=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun üst sınırını giriniz b : "));
     double r;
     r= ikiyebolme(a,b);
     JOptionPane.showMessageDialog(null," kök değeri  : "+r+"\nFonksiyon değeri : "+f(r),
     "ikiye bölme yöntemiyle kök hesabı : ",JOptionPane.PLAIN_MESSAGE);
     
     //Plot p1=new Plot(f1,1,3,200);
     //p1.plot();
     System.exit(0);
     } 
}